Loading...
Searching...
No Matches
casacore::MSSummary Class Reference
ms package (libcasa_ms) » MSOper_module

More...

`#include <MSSummary.h>`

## Public Member Functions

| MSSummary (const MeasurementSet &ms, Float maxCacheMB=50.0)
| Constructor.
| MSSummary (const MeasurementSet *ms, Float maxCacheMB=50.0)
| MSSummary (const MeasurementSet *ms, const String msname, Float maxCacheMB=50.0)
| MSSummary (std::shared_ptr< MSMetaData > msmd)
| construct the object using an MSMetaDataObject
| ~MSSummary ()
| Destructor.
Int64 | nrow () const
| Retrieve number of rows.
String | name () const
| Retrieve image name.
Bool | setMS (const MeasurementSet &ms, Float maxCacheMB=-1)
| Set a new MS.
void | list (LogIO &os, Bool verbose=False, Bool oneBased=True) const
| List all header information.
void | list (LogIO &os, Record &outRec, Bool verbose=False, Bool fillRecord=True, Bool oneBased=True) const
| Return some useful info in a record too along with os.
void | listTitle (LogIO &os) const
| List a title for the Summary.
void | listWhere (LogIO &os, Bool verbose=False) const
| List convenient groupings of tables: list where MS obtained (Observation and Array tables).
void | listWhat (LogIO &os, Bool verbose=False) const
| List what was observed (Field and Main tables).
void | listWhat (LogIO &os, Record &outRec, Bool verbose=False, Bool fillRecord=True) const
void | listHow (LogIO &os, Bool verbose=False, Bool oneBased=True) const
| List how data were obtained (SpectralWindow, Feed, and Antenna tables).
void | listMain (LogIO &os, Bool verbose=False) const
| List main table.
void | listMain (LogIO &os, Record &outRec, Bool verbose=False, Bool fillRecord=True) const
| Return some useful info in a record too along with os.
void | getScanSummary (Record &outRec) const
| Return a Record with information derived from the main table.
void | listAntenna (LogIO &os, Bool verbose=False) const
| List subtables.
void | listFeed (LogIO &os, Bool verbose=False, Bool oneBased=True) const
void | listField (LogIO &os, Bool verbose=False) const
void | listField (LogIO &os, Record &outRec, Bool verbose=False, Bool fillRecord=True) const
void | listObservation (LogIO &os, Bool verbose=False) const
void | listHistory (LogIO &os) const
void | listPolarization (LogIO &os, Bool verbose=False) const
void | listSource (LogIO &os, Bool verbose=False) const
void | listSpectralWindow (LogIO &os, Bool verbose=False) const
void | getSpectralWindowInfo (Record &outRec) const
void | listSpectralAndPolInfo (LogIO &os, Bool verbose=False, Bool oneBased=True) const
void | listSysCal (LogIO &os, Bool verbose=False) const
void | listWeather (LogIO &os, Bool verbose=False) const
void | listTables (LogIO &os, Bool verbose=False) const
| List table size summary.
void | setListUnflaggedRowCount (Bool v)
void | setMetaDataCacheSizeInMB (Float)
| OBSOLETE.

## Private Member Functions

void | clearFlags (LogIO &os) const
| Clear formatting flags.

## Private Attributes

const MeasurementSet * | pMS
| Pointer to MS.
std::shared_ptr< MSMetaData > | _msmd
const String | dashlin1
| Formatting strings.
const String | dashlin2
Vector< Int > | nVisPerField_
| For keeping track of the number of vis per field.
String | msname_p
| Name of the MS used in the constructor.
Bool | _listUnflaggedRowCount
Float | _cacheSizeMB

## Detailed Description

Provides and lists information about the header of an image

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- Coordinates

### Etymology

This class lists the ancilliary or header information from a MeasurementSet in a Summary format.

### Synopsis

MSs consist of pixels and descriptive information stored in what is loosely termed the header. This is information describing the coordinate system, the image units etc. This class enables you to retrieve the descriptive header information and/or list it.

### Example

PagedMS<Float> inMS(fileName);
MSSummary<Float> header(inMS);
LogOrigin or("myClass", "myFunction(...)", WHERE);
LogIO os(or);
header.list(os);
WHERE
#define WHERE
Definition LogOrigin.h:212
casacore::LogIO
Definition LogIO.h:165
casacore::LogOrigin
Definition LogOrigin.h:92
casacore::MSSummary::MSSummary
MSSummary(const MeasurementSet &ms, Float maxCacheMB=50.0)
Constructor.

A PagedMS object is constructed and then logged to the supplied LogIO object.

Caution: Note that if the PagedMS goes out of scope, this class will retrieve rubbish as it just maintains a pointer to the image;

### Motivation

The viewing of the image header is a basic capability that is commonly required.

Definition at line 92 of file MSSummary.h.

## Constructor & Destructor Documentation

## MSSummary() [1/4]

casacore::MSSummary::MSSummary | ( | const MeasurementSet & | ms,
|  | Float | maxCacheMB = 50.0 )

Constructor.

maxCacheMB is the maximum cache size in MB to use for the created MSMetaData object.

## MSSummary() [2/4]

casacore::MSSummary::MSSummary | ( | const MeasurementSet * | ms,
|  | Float | maxCacheMB = 50.0 )

## MSSummary() [3/4]

casacore::MSSummary::MSSummary | ( | const MeasurementSet * | ms,
|  | const String | msname,
|  | Float | maxCacheMB = 50.0 )

## MSSummary() [4/4]

casacore::MSSummary::MSSummary | ( | std::shared_ptr< MSMetaData > | msmd | ) |

construct the object using an MSMetaDataObject

## ~MSSummary()

casacore::MSSummary::~MSSummary | ( |  | ) |

Destructor.

## Member Function Documentation

## clearFlags()

void casacore::MSSummary::clearFlags | ( | LogIO & | os | ) | const

private

Clear formatting flags.

## getScanSummary()

void casacore::MSSummary::getScanSummary | ( | Record & | outRec | ) | const

Return a Record with information derived from the main table.

References casacore::Record().

## getSpectralWindowInfo()

void casacore::MSSummary::getSpectralWindowInfo | ( | Record & | outRec | ) | const

References casacore::Record().

## list() [1/2]

void casacore::MSSummary::list | ( | LogIO & | os,
|  | Bool | verbose = False,
|  | Bool | oneBased = True ) const

List all header information.

References casacore::False, and casacore::True.

## list() [2/2]

void casacore::MSSummary::list | ( | LogIO & | os,
|  | Record & | outRec,
|  | Bool | verbose = False,
|  | Bool | fillRecord = True,
|  | Bool | oneBased = True ) const

Return some useful info in a record too along with os.

References casacore::False, casacore::Record(), and casacore::True.

## listAntenna()

void casacore::MSSummary::listAntenna | ( | LogIO & | os,
|  | Bool | verbose = False ) const

List subtables.

References casacore::False.

## listFeed()

void casacore::MSSummary::listFeed | ( | LogIO & | os,
|  | Bool | verbose = False,
|  | Bool | oneBased = True ) const

References casacore::False, and casacore::True.

## listField() [1/2]

void casacore::MSSummary::listField | ( | LogIO & | os,
|  | Bool | verbose = False ) const

References casacore::False.

## listField() [2/2]

void casacore::MSSummary::listField | ( | LogIO & | os,
|  | Record & | outRec,
|  | Bool | verbose = False,
|  | Bool | fillRecord = True ) const

References casacore::False, casacore::Record(), and casacore::True.

## listHistory()

void casacore::MSSummary::listHistory | ( | LogIO & | os | ) | const

## listHow()

void casacore::MSSummary::listHow | ( | LogIO & | os,
|  | Bool | verbose = False,
|  | Bool | oneBased = True ) const

List how data were obtained (SpectralWindow, Feed, and Antenna tables).

References casacore::False, and casacore::True.

## listMain() [1/2]

void casacore::MSSummary::listMain | ( | LogIO & | os,
|  | Bool | verbose = False ) const

List main table.

References casacore::False.

## listMain() [2/2]

void casacore::MSSummary::listMain | ( | LogIO & | os,
|  | Record & | outRec,
|  | Bool | verbose = False,
|  | Bool | fillRecord = True ) const

Return some useful info in a record too along with os.

References casacore::False, casacore::Record(), and casacore::True.

## listObservation()

void casacore::MSSummary::listObservation | ( | LogIO & | os,
|  | Bool | verbose = False ) const

References casacore::False.

## listPolarization()

void casacore::MSSummary::listPolarization | ( | LogIO & | os,
|  | Bool | verbose = False ) const

References casacore::False.

## listSource()

void casacore::MSSummary::listSource | ( | LogIO & | os,
|  | Bool | verbose = False ) const

References casacore::False.

## listSpectralAndPolInfo()

void casacore::MSSummary::listSpectralAndPolInfo | ( | LogIO & | os,
|  | Bool | verbose = False,
|  | Bool | oneBased = True ) const

References casacore::False, and casacore::True.

## listSpectralWindow()

void casacore::MSSummary::listSpectralWindow | ( | LogIO & | os,
|  | Bool | verbose = False ) const

References casacore::False.

## listSysCal()

void casacore::MSSummary::listSysCal | ( | LogIO & | os,
|  | Bool | verbose = False ) const

References casacore::False.

## listTables()

void casacore::MSSummary::listTables | ( | LogIO & | os,
|  | Bool | verbose = False ) const

List table size summary.

References casacore::False.

## listTitle()

void casacore::MSSummary::listTitle | ( | LogIO & | os | ) | const

List a title for the Summary.

## listWeather()

void casacore::MSSummary::listWeather | ( | LogIO & | os,
|  | Bool | verbose = False ) const

References casacore::False.

## listWhat() [1/2]

void casacore::MSSummary::listWhat | ( | LogIO & | os,
|  | Bool | verbose = False ) const

List what was observed (Field and Main tables).

References casacore::False.

## listWhat() [2/2]

void casacore::MSSummary::listWhat | ( | LogIO & | os,
|  | Record & | outRec,
|  | Bool | verbose = False,
|  | Bool | fillRecord = True ) const

References casacore::False, casacore::Record(), and casacore::True.

## listWhere()

void casacore::MSSummary::listWhere | ( | LogIO & | os,
|  | Bool | verbose = False ) const

List convenient groupings of tables: list where MS obtained (Observation and Array tables).

References casacore::False.

## name()

String casacore::MSSummary::name | ( |  | ) | const

Retrieve image name.

## nrow()

Int64 casacore::MSSummary::nrow | ( |  | ) | const

Retrieve number of rows.

## setListUnflaggedRowCount()

void casacore::MSSummary::setListUnflaggedRowCount | ( | Bool | v | ) |

inline

Definition at line 170 of file MSSummary.h.

References _listUnflaggedRowCount.

## setMetaDataCacheSizeInMB()

void casacore::MSSummary::setMetaDataCacheSizeInMB | ( | Float |  | ) |

inline

OBSOLETE.

No longer does anything, kept for compilation backward compatibility.

Definition at line 173 of file MSSummary.h.

## setMS()

Bool casacore::MSSummary::setMS | ( | const MeasurementSet & | ms,
|  | Float | maxCacheMB = -1 )

Set a new MS.

maxCacheMB is the maximum cache size of the created MSMetaData tool. If negative, the cache size used when this object was created is used.

## Member Data Documentation

## _cacheSizeMB

Float casacore::MSSummary::_cacheSizeMB

private

Definition at line 194 of file MSSummary.h.

## _listUnflaggedRowCount

Bool casacore::MSSummary::_listUnflaggedRowCount

private

Definition at line 192 of file MSSummary.h.

Referenced by setListUnflaggedRowCount().

## _msmd

std::shared_ptr<MSMetaData> casacore::MSSummary::_msmd

private

Definition at line 178 of file MSSummary.h.

## dashlin1

const String casacore::MSSummary::dashlin1

private

Formatting strings.

Definition at line 181 of file MSSummary.h.

## dashlin2

const String casacore::MSSummary::dashlin2

private

Definition at line 181 of file MSSummary.h.

## msname_p

String casacore::MSSummary::msname_p

private

Name of the MS used in the constructor.

Definition at line 190 of file MSSummary.h.

## nVisPerField_

Vector<Int> casacore::MSSummary::nVisPerField_

mutable private

For keeping track of the number of vis per field.

Definition at line 187 of file MSSummary.h.

## pMS

const MeasurementSet* casacore::MSSummary::pMS

private

Pointer to MS.

Definition at line 177 of file MSSummary.h.

The documentation for this class was generated from the following file:

- ms/MSOper/MSSummary.h